#include "easygen.h"
#include "easygen.cpp"

#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

void genHoles(testInfo& a, const string& name, int N, int L)
{
   vector<int> vis(L, 0), res;
   for (int i = 0; i < N; i++) {
      while (1) {
         int t = genRandInt(1, L-1);
         if (!vis[t]) {vis[t] = 1; res.push_back(t); break;}
      }
   }
   sort(res.begin(), res.end());
   for (int i = 0; i < N; i++) a[name][i+1][name] = res[i];
}

int main(int argc, char* argv[])
{
   try {
      testInfo a(argc, argv);
      int N = a.getIntParam("N");
      int L = a.getIntParam("L");

      genHoles(a, "a", N, L);
      genHoles(a, "b", N, L);
   } catch (genError a) {
      cout << a.err();
   }
   return 0;
}